- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgUtil Namespace Reference

The osgUtil library provides general purpose utility classes such as update, cull and draw traverses, scene graph operators such a scene graph optimisation, tri stripping, and tessellation. More...

## Classes
class | CubeMapGenerator
| This is the base class for cube map generators. More...
class | CullVisitor
| Basic NodeVisitor implementation for rendering a scene. More...
class | DelaunayTriangulator
| Utility class that triangulates an irregular network of sample points. More...
class | DisplayRequirementsVisitor
| A visitor for traversing a scene graph establishing which OpenGL visuals are required to support rendering of that scene graph. More...
class | GLObjectsVisitor
| Visitor for traversing scene graph and setting each osg::Drawable's _useDisplayList flag, with option to immediately compile osg::Drawable OpenGL Display lists and osg::StateAttribute's. More...
class | HalfWayMapGenerator
| This cube map generator produces an Half-way vector map, useful for hardware-based specular lighting effects. More...
class | HighlightMapGenerator
| This cube map generator produces a specular highlight map. More...
class | InsertImpostorsVisitor
| Insert impostor nodes into scene graph. More...
class | Hit
class | IntersectVisitor
| Basic visitor for ray based collisions of a scene. More...
class | Optimizer
| Traverses scene graph to improve efficiency. More...
class | ReflectionMapGenerator
| This is the most simple cube map generator. More...
class | RenderBin
| RenderBin base class. More...
class | RegisterRenderBinProxy
| Proxy class for automatic registration of renderbins with the RenderBin prototypelist. More...
struct | LeafDepthSortFunctor
class | RenderGraph
| RenderGraph - contained in a renderBin, defines the scene to be drawn. More...
class | RenderLeaf
| Container class for all data required for rendering of drawables. More...
class | RenderStage
| RenderStage base class. More...
class | RenderStageLighting
| RenderStageLighting base class. More...
class | RenderToTextureStage
| RenderStage which copies the final image to an attached texture or image. More...
class | SceneView
| SceneView is literally a view of a scene, encapsulating the 'camera' (not to be confused with Producer::Camera) (modelview+projection matrices), global state, lights and the scene itself. More...
class | Simplifier
| A simplifier for reducing the number of traingles in osg::Geometry. More...
class | SmoothingVisitor
| A smoothing visitor for calculating smoothed normals for osg::GeoSet's which contains surface primitives. More...
class | Statistics
| Statistics base class. More...
class | TangentSpaceGenerator
| The TangentSpaceGenerator class generates three arrays containing tangent-space basis vectors. More...
class | Tesselator
| Originally a simple class for tessellating a single polygon boundary. More...
class | TransformAttributeFunctor
| Functor for transforming a drawable's vertex and normal attributes by specified matrix. More...
class | TransformCallback
class | TriStripVisitor
| A tri stripping visitor for converting Geometry surface primitives into tri strips. More...
class | UpdateVisitor
| Basic UpdateVisitor implementation for animating a scene. More...
## Typedefs
typedef GLuint | Vertex_index
typedef std::set< Edge, Edge::Less > | Edge_set
typedef std::list< Triangle > | Triangle_list
## Functions
osg::Vec3 | compute_circumcircle (const osg::Vec3 &a, const osg::Vec3 &b, const osg::Vec3 &c)
bool | point_in_circle (const osg::Vec3 &point, const osg::Vec3 &circle)
bool | Sample_point_compare (const osg::Vec3 &p1, const osg::Vec3 &p2)

## Detailed Description

The osgUtil library provides general purpose utility classes such as update, cull and draw traverses, scene graph operators such a scene graph optimisation, tri stripping, and tessellation.

## Typedef Documentation

typedef std::set<Edge, Edge::Less> osgUtil::Edge_set

typedef std::list<Triangle> osgUtil::Triangle_list

typedef GLuint osgUtil::Vertex_index

## Function Documentation

osg::Vec3 osgUtil::compute_circumcircle | ( | const osg::Vec3 & | a,
|  | const osg::Vec3 & | b,
|  | const osg::Vec3 & | c
| ) | `[inline]`

bool osgUtil::point_in_circle | ( | const osg::Vec3 & | point,
|  | const osg::Vec3 & | circle
| ) | `[inline]`

bool osgUtil::Sample_point_compare | ( | const osg::Vec3 & | p1,
|  | const osg::Vec3 & | p2
| ) |